// Extend and override BS Variables
// Variables should follow the `$component-state-property-size` formula for
// consistent naming. Ex: $nav-link-disabled-color and
// $modal-content-box-shadow-xs.

// To customize
// - Copy paste the variable from node_modules/bootstrap/scss/_variables.scss
// @see: https://github.com/twbs/bootstrap/blob/main/scss/_variables.scss
// - Change the value and remove the flag.

@import "node_modules/bootstrap/scss/variables";

// ============================================================================
// Options
// ============================================================================

$enable-caret: true;
$enable-rounded: true;
$enable-shadows: true;
$enable-gradients: false;
$enable-transitions: true;
$enable-reduced-motion: true;
$enable-smooth-scroll: true;
$enable-grid-classes: true;
$enable-container-classes: true;
$enable-cssgrid: true;
$enable-button-pointers: true;
$enable-validation-icons: true;
$enable-negative-margins: false;
$enable-deprecation-messages: true;
$enable-important-utilities: true;
$enable-dark-mode: true;

// scss-docs-start theme-color-variables
$primary: $blue;
$secondary: $gray-600;
$success: $green;
$info: $cyan;
$warning: $yellow;
$danger: $red;
$light: $gray-100;
$dark: $gray-900;

// ============================================================================
// Dropdown
// ============================================================================

$dropdown-border-radius: 0 0 var(--#{$prefix}bs-border-radius-lg)
  var(--bs-border-radius-lg);
$dropdown-border-color: var(--#{$prefix}body-bg);
$dropdown-box-shadow: var(--#{$prefix}box-shadow);

// ============================================================================
// Offcanvs
// ============================================================================

$offcanvas-padding-y: 2.5rem;
$offcanvas-padding-x: 2.5rem;

// ============================================================================
// Lower the default z-indexes - to fix conflict with the Drupal Admin menu
// ============================================================================

$zindex-dropdown: 400;
$zindex-sticky: 420;
$zindex-fixed: 430;
$zindex-offcanvas-backdrop: 440;
$zindex-offcanvas: 445;
$zindex-modal-backdrop: 450;
$zindex-modal: 455;
$zindex-popover: 470;
$zindex-tooltip: 480;
$zindex-toast: 490;
